# vim:ft=conf:
# i3status configuration file.
# see "man i3status" for documentation.

# It is important that this file is edited as UTF-8.
# The following line should contain a sharp s:
# ß
# If the above line is not correctly displayed, fix your editor first!

changequote([,])
define([hostname], esyscmd([echo -n `hostname`]))
define([defcolor], [define(base$1, ["[#]$2"])])
include([base16.m4])

general {
    colors = true
    interval = 5
    color_good = base0B
    color_bad = base08
}

order += "ipv6"
order += "disk /"
order += "wireless _first_"
order += "ethernet _first_"
order += "battery 0"
order += "load"
order += "tztime local"

ifelse(hostname, [petalius], [
wireless _first_ {
        format_up = "W: (%quality at %essid) %ip"
        format_down = "W: down"
}

battery 0 {
        format = "%status %percentage %remaining"
        last_full_capacity = true
}
])

ethernet _first_ {
        format_up = "E: %ip"
        format_down = "E: down"
}

tztime local {
        locale = "ja_JP.UTF-8"
        format = "%Y年%m月%d日 (%a) %H:%M:%S"
}

load {
        format = "%1min"
}

disk "/" {
        format = "%avail"
}
